
EMIRS - Bug #21

Servo mode does not show up correctly in telemetry 

12/18/2018 01:34 PM - Igor Lazbin

Status: Resolved Start date: 12/18/2018

Priority: Normal Due date:  

Assignee: Igor Lazbin % Done: 0%

Category:  Estimated time: 1.00 hour

Target version:  Spent time: 0.00 hour

Description

v2.81 - MSB of servo mode is always 0 in telemetry (correct in subcommutated telemetry)

History

#1 - 01/15/2019 04:22 PM - Igor Lazbin

in telemetry_task.c:

servo_status = ((LIN_ENABLE & 0x01) | ((LIN_MODE & 0x3) << 1)

        |((SCAN_DIRECTION & 0x01) << 3) | (((KGRAVITY != 0) & 0x01) << 4) | (unit_id << 7)) << 24;

 

used to be:

servo_status = ((LIN_ENABLE & 0x01) | ((LIN_MODE & 0x11) << 1)                 |((SCAN_DIRECTION & 0x01) << 3) | (((KGRAVITY != 0) & 0x01) <<

4) | (unit_id << 7)) << 24;

#2 - 01/15/2019 05:15 PM - Igor Lazbin

- Status changed from New to In Progress

#3 - 01/22/2019 05:12 PM - Igor Lazbin

- Status changed from In Progress to Resolved
